Bio::Biblio::Ref(3)

NAME
Bio::Biblio::Ref - Representation of a bibliographic reference

SYNOPSIS
    $obj = new Bio::Biblio::Ref (-type  => 'Letter',
                                 -title => 'Onegin to Tatiana');
  #--- OR ---

    $obj = new Bio::Biblio::Ref;
    $obj->type ('Letter');

DESCRIPTION
A storage object for a general bibliographic reference (a citation). See its place in the class hierarchy in http://industry.ebi.ac.uk/openBQS/images/bibobjects_perl.gif

  Attributes
The following attributes are specific to this class, and they are inherited by all citation types.

  author_list_complete            values: 'Y'  (default) or 'N'
  authors                         type:   array ref of Bio::Biblio::Provider's
  cross_references                type:   array ref of Bio::Annotation::DBLink's
  cross_references_list_complete  values: 'Y' (default) or 'N'
  abstract
  abstract_language
  abstract_type
  codes                           type:   hash ref
  contributors                    type:   array ref of Bio::Biblio::Provider's
  date
  date_completed
  date_created
  date_revised
  format
  identifier
  keywords
  language
  last_modified_date
  publisher                       type:   Bio::Biblio::Provider
  repository_subset
  rights
  spatial_location
  subject_headings                type:   hash ref
  subject_headings_source
  temporal_period
  title
  toc
  toc_type
  type

SEE ALSO

•   OpenBQS home page: http://industry.ebi.ac.uk/openBQS

•   Comments to the Perl client: http://industry.ebi.ac.uk/openBQS/Client_perl.html

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bugzilla.bioperl.org/

AUTHORS
Heikki Lehvaslaiho (heikki@ebi.ac.uk), Martin Senger (senger@ebi.ac.uk)

COPYRIGHT
Copyright (c) 2002 European Bioinformatics Institute. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are preceded with a _

  add_cross_reference
 Usage   : $self->add_cross_reference
               (new Bio::Annotation::DBLink (-database   => 'EMBL',
                                             -primary_id => 'V00808');
 Function: adding a link to a database entry
 Returns : new value of 'cross_references'
 Args    : an object of type Bio::Annotation::DBLink

  add_author
 Usage   : $self->add_author (new Bio::Biblio::Person (-lastname => 'Novak');
 Function: adding an author to a list of authors
 Returns : new value of 'authors' (a full list)
 Args    : an object of type Bio::Biblio::Provider

  add_contributor
 Usage   : $self->add_contributor (new Bio::Biblio::Person (-lastname => 'Novak');
 Function: adding a contributor to a list of contributors
 Returns : new value of 'contributors' (a full list)
 Args    : an object of type Bio::Biblio::Provider